MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025757Community[OCCT] OCCT:Modeling Algorithmspublic2015-01-27 19:512015-05-14 15:32
Reportershoogen 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformLinuxOSDebian 6.0OS Version64 bit
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025757: distmini returns wrong solution for ellipse/vertex
Description> Looking at the script you will notice that the only difference between vertex1 and vertex2, is vertex1 has an additional 9 on the y component.

Thomas has already pointed this out on the oce-dev mailing list. In fact the problem is reproduce-able in the current OCCT development version, as well.
Steps To ReproduceDraw[1]> Draw[2]> source distBugScript.txt
vertex1 distance = 5.7574949687856307
vertex2 distance = 5.0242958677880805e-15
Draw[3]>
Additional information
and documentation updates
https://groups.google.com/forum/#!topic/oce-dev/40OsqExGcHU [^]
TagsNo tags attached.
Test case numberbugs fclasses(002) bug25757
Attached Filestxt file icon distBugScript.txt (296 bytes) 2015-01-27 19:51
? file icon ellipse.brep (4,807 bytes) 2015-01-27 19:52

- Relationships

-  Notes
(0036742)
msv (developer)
2015-01-28 09:53

Alexander, please look if time.
(0037260)
git (administrator)
2015-02-10 07:27

Branch CR25757 has been created by aml.

SHA-1: 3b2e1fa6950fe58bea0f37c6adc5cabea34b6ae5


Detailed log of new commits:

Author: aml
Date: Fri Feb 6 15:56:08 2015 +0300

    0025757: distmini returns wrong solution for ellipse/vertex
    
    Analytical handling of degenerated cases added.
(0037261)
aml (developer)
2015-02-10 07:27

Dear msv,
Please check current state of branch CR25757.
(0037270)
msv (developer)
2015-02-10 11:49

Reviewed.
(0037378)
mkv (tester)
2015-02-11 18:42

Dear BugMaster,
Branch CR25757 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 3b2e1fa6950fe58bea0f37c6adc5cabea34b6ae5

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
http://occt-tests/CR25757-master-occt/Windows-32-VC10/bugs/fclasses/bug25757.html [^]
bugs fclasses(002) bug25757: OK

Testing on Linux:
occt component :
Total MEMORY difference: 84599490 / 86208664
Total CPU difference: 49301.48 / 47876.709999999846
products component :
Total MEMORY difference: 23063368 / 23139894
Total CPU difference: 15240.159999999978 / 14598.869999999963

Testing on Windows:
occt component :
Total MEMORY difference: 40649664 / 40658496
Total CPU difference: 36779.4375 / 32754.0
products component :
Total MEMORY difference: 11034483 / 11081969
Total CPU difference: 10886.78125 / 10978.125

There are no differences in images found by testdiff.
(0037379)
git (administrator)
2015-02-11 18:43

Branch CR25757 has been updated by mkv.

SHA-1: 3a61b73b462e7d6f1951848d452613f734376d77


Detailed log of new commits:

Author: mkv
Date: Wed Feb 11 18:43:24 2015 +0300

    Test case for issue CR25757

(0037380)
mkv (tester)
2015-02-11 18:44

Dear aml,
could you please review test case
bugs fclasses(002) bug25757
(0037398)
aml (developer)
2015-02-12 09:17

Dear mkv,

1) Change expected distance to the 0.0 in both cases.
2) "tol_abs_dist" may be decreased to 1e-12.
3) "tol_rel_dist" should changed to pass tests.
(0037414)
git (administrator)
2015-02-12 11:36

Branch CR25757 has been updated by mkv.

SHA-1: df56f21cf3193faad1ed4ab60c73bd377a23e41a


Detailed log of new commits:

Author: mkv
Date: Thu Feb 12 11:35:51 2015 +0300

    Correction of test case for issue CR25757

(0037415)
mkv (tester)
2015-02-12 11:36

Branch CR25757 is TESTED.
(0038578)
git (administrator)
2015-03-18 13:37

Branch CR25757 has been deleted by inv.

SHA-1: df56f21cf3193faad1ed4ab60c73bd377a23e41a

- Related Changesets
occt: master 20f319cd
Timestamp: 2015-02-12 09:14:27
Author: aml
Committer: bugmaster
Details ] Diff ]
0025757: distmini returns wrong solution for ellipse/vertex

Analytical handling of degenerated cases added.

Test case for issue CR25757

Correction of test case for issue CR25757
mod - src/math/math_TrigonometricFunctionRoots.cxx Diff ] File ]
add - tests/bugs/fclasses/bug25757 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-01-27 19:51 shoogen New Issue
2015-01-27 19:51 shoogen Assigned To => msv
2015-01-27 19:51 shoogen File Added: distBugScript.txt
2015-01-27 19:52 shoogen File Added: ellipse.brep
2015-01-28 09:53 msv Note Added: 0036742
2015-01-28 09:53 msv Status new => assigned
2015-01-28 10:35 msv Assigned To msv => aml
2015-02-10 07:27 git Note Added: 0037260
2015-02-10 07:27 aml Note Added: 0037261
2015-02-10 07:27 aml Assigned To aml => msv
2015-02-10 07:27 aml Status assigned => resolved
2015-02-10 11:49 msv Note Added: 0037270
2015-02-10 11:49 msv Assigned To msv => bugmaster
2015-02-10 11:49 msv Status resolved => reviewed
2015-02-10 13:01 mkv Assigned To bugmaster => mkv
2015-02-11 18:42 mkv Note Added: 0037378
2015-02-11 18:43 git Note Added: 0037379
2015-02-11 18:44 mkv Note Added: 0037380
2015-02-11 18:44 mkv Assigned To mkv => aml
2015-02-11 18:44 mkv Status reviewed => feedback
2015-02-11 18:44 mkv Test case number => bugs fclasses(002) bug25757
2015-02-12 09:17 aml Note Added: 0037398
2015-02-12 09:17 aml Assigned To aml => mkv
2015-02-12 11:36 git Note Added: 0037414
2015-02-12 11:36 mkv Note Added: 0037415
2015-02-12 11:36 mkv Assigned To mkv => bugmaster
2015-02-12 11:36 mkv Status feedback => tested
2015-02-13 17:55 bugmaster Changeset attached => occt master 20f319cd
2015-02-13 17:55 bugmaster Status tested => verified
2015-02-13 17:55 bugmaster Resolution open => fixed
2015-03-10 13:00 bugmaster Target Version => 6.9.0
2015-03-18 13:37 git Note Added: 0038578
2015-05-14 15:29 user533 Status verified => closed
2015-05-14 15:32 user533 Fixed in Version => 6.9.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker